.timeline {
  list-style: none;
  padding: 20px 0 20px;
  position: relative;
}

.timeline:before {
  top: 20px;
  bottom: 0;
  position: absolute;
  content: " ";
  width: 2px;
  background-color: #e6e6e6;
  left: 50%;
  margin-left: 0px;
}

@media screen and (max-width: 768px) {
  .timeline:before {
    margin-left: -64px;
  }
}

@media screen and (max-width: 480px) {
  .timeline:before {
    margin-left: -64px;
  }
}

@media screen and (max-width: 768px) {
  .timeline .timeline-heading {
    margin-bottom: 30px;
  }
}

.timeline .timeline-heading>div h3 {
  display: inline-block;
  padding: 7px 15px;
  font-size: 18px;
  text-transform: uppercase;
  letter-spacing: 5px;
  font-weight: bold;
  background: #e6e6e6;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  -ms-border-radius: 4px;
  border-radius: 4px;
}

@media screen and (max-width: 768px) {
  .timeline .timeline-heading>div h3 {
    float: left;
    margin-bottom: 0;
  }
}

.timeline>li {
  margin-bottom: 20px;
  position: relative;
}

@media screen and (max-width: 768px) {
  .timeline>li {
    margin-bottom: 4em;
  }
}

.timeline>li:before,
.timeline>li:after {
  content: " ";
  display: table;
}

.timeline>li:after {
  clear: both;
}

.timeline>li>.timeline-panel {
  width: 45%;
  float: left;
  margin-bottom: 0;
  position: relative;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  -ms-border-radius: 4px;
  border-radius: 4px;
}

@media screen and (max-width: 768px) {
  .timeline>li>.timeline-panel {
    width: 85% !important;
  }
}

@media screen and (max-width: 480px) {
  .timeline>li>.timeline-panel {
    width: 75% !important;
  }

  .timeline>li>.timeline-panel:before {
    top: 30px;
  }

  .timeline>li>.timeline-panel:after {
    top: 31px;
  }
}

.timeline>li>.timeline-badge {
  color: #fff;
  width: 44px;
  height: 44px;
  line-height: 50px;
  font-size: 1.4em;
  text-align: center;
  position: absolute;
  top: 40px;
  left: 50%;
  margin-left: -21px;
  background-color: #e6e6e6;
  z-index: 100;
  display: table;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  border-radius: 50%;
}

@media screen and (max-width: 768px) {
  .timeline>li>.timeline-badge {
    margin-left: -10px !important;
  }
}

@media screen and (max-width: 992px) {
  .timeline>li>.timeline-badge {
    margin-left: -10px !important;
  }
}

.timeline>li>.timeline-badge i {
  display: table-cell;
  vertical-align: middle;
  height: 44px;
  font-size: 18px;
}

.timeline>li.timeline-unverted {
  text-align: right;
}

@media screen and (max-width: 768px) {
  .timeline>li.timeline-unverted {
    text-align: left;
  }
}

.timeline>li.timeline-inverted>.timeline-panel {
  float: right;
}

.timeline>li.timeline-inverted>.timeline-panel:before {
  border-left-width: 0;
  border-right-width: 15px;
  left: -15px;
  right: auto;
}

.timeline>li.timeline-inverted>.timeline-panel:after {
  border-left-width: 0;
  border-right-width: 14px;
  left: -14px;
  right: auto;
}

.timeline-title {
  margin-top: 0;
}

.company {
  display: block;
  margin-bottom: 20px;
  font-size: 16px;
  font-weight: normal;
  color: #bfbfbf;
}

.timeline-body>p,
.timeline-body>ul {
  margin-bottom: 0;
}

.timeline-body>p+p {
  margin-top: 5px;
}

@media (max-width: 992px) {
  ul.timeline:before {
    left: 90px;
  }

  ul.timeline>li>.timeline-panel {
    width: calc(100% - 200px);
    width: -moz-calc(100% - 200px);
    width: -webkit-calc(100% - 200px);
  }

  ul.timeline>li>.timeline-badge {
    left: 15px;
    margin-left: 0;
    top: 16px;
  }

  ul.timeline>li>.timeline-panel {
    float: right;
  }

  ul.timeline>li>.timeline-panel:before {
    border-left-width: 0;
    border-right-width: 15px;
    left: -15px;
    right: auto;
  }

  ul.timeline>li>.timeline-panel:after {
    border-left-width: 0;
    border-right-width: 14px;
    left: -14px;
    right: auto;
  }
}